Subject: Re: binutils is no longer experimental
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 8 Aug 2001 21:44:24 -0400

On Thu, Aug 09, 2001 at 10:39:14AM +0800, Dmitry Timoshkov wrote:
>"Christopher Faylor" <[email-masked]> wrote:
>> >> >Thanks for your answer. Could you please answer one more: why binutils
>> >> >provided by Cygwin distribution is so different from the ordinal one?
>> >> >Is it planned to do a merge?
>> >> 
>> >> ???  It is not "so different".  There is one minor change (below) in ld.
>> >> 
>> >> Otherwise it is straight from binutils CVS.
>> >
>> >Well, this command line
>> >
>> >diff -ur binutils-20010802-1\binutils binutils-2.11.2\binutils >binutils.diff
>> >
>> >gives a 328292 bytes diff. It is without comparison of other subdirectories.
>> >
>> >Am I doing something wrong?
>> 
>> "CVS"
>
>Do you mean that binutils-20010802-1 and binutils-2.11.2 were made not from CVS?

I build the cygwin version of binutils from the latest cvs version of binutils.

If I didn't do this then I wouldn't get any of the auto-import work, which was kinda
the whole reason for the release.

If you are producing patches they should be against the latest cvs version as well.

>Btw the result of diffing binutils-20010425-2 and binutils-2.11.2 is much more
>different.

And this is surprising?  Binutils 2.11.2 was released on 2001-06-19.  I'll leave
it to your imagination as to when binutils-20010425 was released.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/